"""
c is a Python project providing an import metapath hook for loading C extension
modules without prior compilation by a 'setup.py' script. It uses the
:py:mod:`sysconfig` module to extract the necessary information for compiling
an extension module.

Loadable modules are identified by the '.py.c', '.py.m', and '.py.c++' suffix.
Composition of multiple files is not directly supported, but preprocessor
directives may be used in order to combine multiple files.

Typical usage::

	import c.lib
	c.lib.install()

Once the loader is installed, C, Objective-C, and C++ extension modules can be
imported without a prior build step.

**This allows for easier development and testing of your extension modules!**

Future versions will include support for generating the necessary compilation
flags.
"""
__pkg_bottom__ = True
