"""
Executable module taking a single parameter that emits the compilation
transcript to standard out.
"""
import sys
import importlib
from .. import lib

if __name__ == '__main__':
	lib.install()
	modpath = sys.argv[1]
	mod = importlib.import_module(modpath)
	with open(mod.__loader__.logfile, 'rb') as logfile:
		sys.stdout.buffer.write(logfile.read())

	sys.stdout.write("\n\nRESULTED FROM:\n\n")

	with open(mod.__loader__.cmdfile, 'rb') as cmdfile:
		sys.stdout.buffer.write(cmdfile.read())

	sys.stdout.write("\n")
